%if 0%{?rhel} < 7
%{!?__global_ldflags: %global __global_ldflags -Wl,-z,relro}
%endif

Name: exonerate
Summary:  A generic tool for sequence alignment
Version:  2.2.0
Release:  2%{?dist}
License:  GPLv3+
URL:      https://www.ebi.ac.uk/about/vertebrate-genomics/software/exonerate
Source0:  https://www.ebi.ac.uk/sites/ebi.ac.uk/files/groups/flicek/exonerate/exonerate-%{version}.tar.gz

BuildRequires: glib2-devel

%description
Exonerate is a generic tool for pairwise sequence comparison.
It allows you to align sequences using a many alignment models,
either exhaustive dynamic programming or a variety of heuristics.

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
 --enable-glib2 --disable-assert --enable-paranoia --disable-gprof \
 --disable-gcov --enable-compiledmodels --enable-utilities --enable-pthreads \
 --enable-largefile

##Parallel compilation does not work
export C4_COMPILED_MODELS="est2genome protein2genome cdna2genome coding2genome"
make -j1 \
 CFLAGS="%{optflags} -Wl,-z,relro -fPIC -pie -Wl,-z,now $(pkg-config --cflags glib-2.0)" \
 LDFLAGS="%{__global_ldflags} -fPIC -pie -Wl,-z,now"

%install
%make_install

%check
make check

%files
%{!?_licensedir:%global license %doc}
%doc README ChangeLog AUTHORS TODO
%license COPYING
%{_bindir}/exonerate*
%{_bindir}/fasta*
%{_bindir}/esd2esi
%{_bindir}/ipcress
%{_mandir}/man1/*

%changelog
* Sat Dec 12 2015 Antonio Trande <sagitterATfedoraproject.org> - 2.2.0-2
- Coverage disabled

* Wed Dec 09 2015 Antonio Trande <sagitterATfedoraproject.org> - 2.2.0-1
- First package
